# H248_ModemType Class Reference

`#include <h248.h>`

List of all members.

## Public Types

enum | Enumerations { e_v18, e_v22, e_v22bis, e_v32, e_v32bis, e_v34, e_v90, e_v91, e_synchISDN }

## Public Member Functions

| H248_ModemType (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H248_ModemType & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H248_ModemType::Enumerations

Enumerator:

  e_v18 |
  e_v22 |
  e_v22bis |
  e_v32 |
  e_v32bis |
  e_v34 |
  e_v90 |
  e_v91 |
  e_synchISDN |

## Constructor & Destructor Documentation

H248_ModemType::H248_ModemType | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H248_ModemType& H248_ModemType::operator= | ( | unsigned | v | ) |

PObject* H248_ModemType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h248.h